var _window;
import '../less/main.less'; // Evite des plantages avec Vite.js et des anciennes librairies ts : https://stackoverflow.com/questions/72114775/vite-global-is-not-defined

import React from 'react';
import { createRoot } from 'react-dom/client';
import { Provider } from 'react-redux';
import { I18nextProvider } from 'react-i18next';
import moment from 'moment';
import store from './Redux/store';
import App from './screens/App';
import i18n from './i18n';
(_window = window).global || (_window.global = window);

// https://momentjs.com/docs/#/i18n/
moment.locale('fr');
moment.updateLocale('fr', {
  monthsShort: 'Jav_Fev_Mar_Avr_Mai_Juin_Juil_Aou_Sep_Oct_Nov_Dec'.split('_'),
  // https://momentjs.com/docs/#/customization/dow-doy/
  week: {
    dow: 1,
    // Monday is the first day of the week.
    doy: 4 // Used to determine first week of the year.
  }
});

var root = createRoot(document.getElementById('root'));
root.render( /*#__PURE__*/React.createElement(Provider, {
  store: store
}, /*#__PURE__*/React.createElement(I18nextProvider, {
  i18n: i18n
}, /*#__PURE__*/React.createElement(App, null))));